<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FinalCustomerSave StructType
 * @subpackage Structs
 */
class FinalCustomerSave extends AbstractStructBase
{
    /**
     * The FinalCustomerSaveRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FinalCustomerSave
     */
    public $FinalCustomerSaveRQ;
    /**
     * Constructor method for FinalCustomerSave
     * @uses FinalCustomerSave::setFinalCustomerSaveRQ()
     * @param \StructType\JP_FinalCustomerSave $finalCustomerSaveRQ
     */
    public function __construct(\StructType\JP_FinalCustomerSave $finalCustomerSaveRQ = null)
    {
        $this
            ->setFinalCustomerSaveRQ($finalCustomerSaveRQ);
    }
    /**
     * Get FinalCustomerSaveRQ value
     * @return \StructType\JP_FinalCustomerSave|null
     */
    public function getFinalCustomerSaveRQ()
    {
        return $this->FinalCustomerSaveRQ;
    }
    /**
     * Set FinalCustomerSaveRQ value
     * @param \StructType\JP_FinalCustomerSave $finalCustomerSaveRQ
     * @return \StructType\FinalCustomerSave
     */
    public function setFinalCustomerSaveRQ(\StructType\JP_FinalCustomerSave $finalCustomerSaveRQ = null)
    {
        $this->FinalCustomerSaveRQ = $finalCustomerSaveRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\FinalCustomerSave
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
